<?xml version="1.0" encoding="UTF-8" standalone="no"?>
<ComponentDefinition xmlns="http://www.ironspeed.com/designer" xmlns:fo="http://www.w3.org/1999/XSL/Format" xmlns:xs="http://www.w3.org/2001/XMLSchema" xmlns:fn="http://www.w3.org/2005/xpath-functions" xmlns:nfn="urn:PageTransformCodeGen">
  <Generator>Iron Speed Designer</Generator>
  <Version>5.1</Version>
  <Self>
    <Name>ShowAttachmentPage</Name>
    <Type>Page</Type>
    <GenerateDirectory>Attachment</GenerateDirectory>
    <Layout>Attachment\ShowAttachmentPage.html</Layout>
    <DisplayName>ShowAttachmentPage</DisplayName>
    <Description>Standard record panel.</Description>
    <CheckSum>1065197756-8950</CheckSum>
  </Self>
  <ComposedOf>
    <ContainedComponent>
      <Name>PageTitle</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Text</Name>
          <Value>&lt;%#String.Concat(GetResourceValue("Title:Show", "Training1")," Attachment") %&gt;</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageHeader</Name>
      <Type>Header</Type>
      <Layout>..\Header and Footer\Header.html</Layout>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Menu</Name>
      <Type>Menu</Type>
      <Layout>..\Menu Panels\Menu.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>HiliteSettings</Name>
          <Value>AttachmentMenuItem</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>AttachmentRecordControl</Name>
      <Type>Record</Type>
      <Table>Attachment</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>URL</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:DataSourceArg</Name>
          <Value>Attachment</Value>
        </Attribute>
        <Attribute>
          <Name>URL</Name>
          <Value>Attachment</Value>
        </Attribute>
        <Attribute>
          <Name>VirtualId</Name>
          <Value>0</Value>
        </Attribute>
        <Attribute>
          <Name>SmoothPanelUpdate</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>HideDataUntilSearched</Name>
          <Value>False</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>AttachmentTitle</Name>
      <Type>Html</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>HtmlEncodeWhiteSpace</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>Show Attachment</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>AttachmentRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>AttachmentDialogEditButton</Name>
      <Type>ImageButton</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>ImageURL</Name>
          <Value>../Images/iconEdit.gif</Value>
        </Attribute>
        <Attribute>
          <Name>CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
        <Attribute>
          <Name>Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>RedirectURL</Name>
          <Value>../Attachment/EditAttachmentPage.aspx?Attachment={PK}</Value>
        </Attribute>
        <Attribute>
          <Name>ToolTip</Name>
          <Value>Btn:Edit</Value>
          <Type>ResourceReference</Type>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>AttachmentRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>FileNameLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>AttachmentRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>FileName</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Attachment</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Attachment%FileName</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>AttachmentRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>DescriptionLabel</Name>
      <Type>Literal</Type>
      <PassthroughAttributes>
        <Attribute>
          <Name>Consumers</Name>
          <Value>AttachmentRecordControl</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Field</Name>
          <Value>Description</Value>
        </Attribute>
        <Attribute>
          <Name>InternalUse:Table</Name>
          <Value>Attachment</Value>
        </Attribute>
        <Attribute>
          <Name>Text</Name>
          <Value>%ISD_DEFAULT%Attachment%Description</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>AttachmentRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>FileName</Name>
      <Type>FieldValue</Type>
      <Field>FileName</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Attachment</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>AttachmentRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>Description</Name>
      <Type>FieldValue</Type>
      <Field>Description</Field>
      <FieldValueStyle>Literal</FieldValueStyle>
      <Table>Attachment</Table>
      <PassthroughAttributes>
        <Attribute>
          <Name>InternalUse:DataSource</Name>
          <Value>Parent</Value>
        </Attribute>
        <Attribute>
          <Name>NullValueText</Name>
          <Value>&amp;nbsp;</Value>
        </Attribute>
        <Attribute>
          <Name>FieldMaxLength</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupDisplay</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowHeight</Name>
          <Value>200</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowPersist</Name>
          <Value>False</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowScrollBar</Name>
          <Value>True</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowTitle</Name>
          <Value>%ISD_DEFAULT%</Value>
        </Attribute>
        <Attribute>
          <Name>PopupWindowWidth</Name>
          <Value>300</Value>
        </Attribute>
        <Attribute>
          <Name>HTMLEncodeValue</Name>
          <Value>Default</Value>
        </Attribute>
        <Attribute>
          <Name>PopupThreshold</Name>
          <Value>Default</Value>
        </Attribute>
      </PassthroughAttributes>
      <InsideControl>AttachmentRecordControl</InsideControl>
    </ContainedComponent>
    <ContainedComponent>
      <Name>OKButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-RedirectURL</Name>
          <Value>Back</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:OK</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>EditButton</Name>
      <Type>Button</Type>
      <Layout>..\Shared\ThemeButton.html</Layout>
      <PassthroughAttributes>
        <Attribute>
          <Name>Button-CausesValidation</Name>
          <Value>false</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Consumers</Name>
          <Value>page</Value>
        </Attribute>
        <Attribute>
          <Name>Button-RedirectURL</Name>
          <Value>../Attachment/EditAttachmentPage.aspx?Attachment={PK}</Value>
        </Attribute>
        <Attribute>
          <Name>Button-Text</Name>
          <Value>Btn:Edit</Value>
          <Type>ResourceReference</Type>
        </Attribute>
        <Attribute>
          <Name>Button-CommandName</Name>
          <Value>Redirect</Value>
        </Attribute>
      </PassthroughAttributes>
    </ContainedComponent>
    <ContainedComponent>
      <Name>PageFooter</Name>
      <Type>Footer</Type>
      <Layout>..\Header and Footer\Footer.html</Layout>
    </ContainedComponent>
  </ComposedOf>
  <PageDefinition>&lt;![CDATA[&lt;?xml version="1.0" encoding="utf-16"?&gt;
&lt;PageDefinition xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" xmlns:xsd="http://www.w3.org/2001/XMLSchema"&gt;
  &lt;Self&gt;
    &lt;Name&gt;ShowAttachmentPage&lt;/Name&gt;
    &lt;Version&gt;5.1&lt;/Version&gt;
    &lt;Generator&gt;Iron Speed Designer&lt;/Generator&gt;
    &lt;Title&gt;{Title:Show} Attachment&lt;/Title&gt;
    &lt;Description&gt;Standard record panel.&lt;/Description&gt;
    &lt;DisplayName&gt;ShowAttachmentPage&lt;/DisplayName&gt;
    &lt;GenerateDirectory&gt;Attachment&lt;/GenerateDirectory&gt;
    &lt;Layout&gt;Attachment\ShowAttachmentPage.html&lt;/Layout&gt;
    &lt;Type&gt;Page&lt;/Type&gt;
    &lt;PageLayoutName /&gt;
  &lt;/Self&gt;
  &lt;HasSkipNavigationLink&gt;false&lt;/HasSkipNavigationLink&gt;
  &lt;HasMenu&gt;true&lt;/HasMenu&gt;
  &lt;Menus&gt;
    &lt;Menu&gt;
      &lt;Name&gt;Menu&lt;/Name&gt;
      &lt;Layout&gt;..\Menu Panels\Menu.html&lt;/Layout&gt;
      &lt;HiliteSettings&gt;AttachmentMenuItem&lt;/HiliteSettings&gt;
      &lt;Orientation&gt;HORIZONTAL&lt;/Orientation&gt;
      &lt;ImageURL /&gt;
      &lt;IsPresentInMenu&gt;false&lt;/IsPresentInMenu&gt;
      &lt;DisplayName /&gt;
      &lt;Type /&gt;
      &lt;Tooltip /&gt;
      &lt;Level&gt;1&lt;/Level&gt;
      &lt;Order&gt;130&lt;/Order&gt;
    &lt;/Menu&gt;
  &lt;/Menus&gt;
  &lt;HasHeader&gt;true&lt;/HasHeader&gt;
  &lt;Header&gt;
    &lt;Name&gt;PageHeader&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Header.html&lt;/Layout&gt;
  &lt;/Header&gt;
  &lt;Panels&gt;
    &lt;Panel&gt;
      &lt;ID&gt;1&lt;/ID&gt;
      &lt;Name&gt;AttachmentRecordControl&lt;/Name&gt;
      &lt;AboveTableFilterButtonName&gt;AttachmentFilterButton&lt;/AboveTableFilterButtonName&gt;
      &lt;AbvTblFilterButtonConsumers /&gt;
      &lt;ButtonGroupName&gt;AttachmentButtons&lt;/ButtonGroupName&gt;
      &lt;CausesSave&gt;false&lt;/CausesSave&gt;
      &lt;ColumnSpan&gt;0&lt;/ColumnSpan&gt;
      &lt;DataSource&gt;URL&lt;/DataSource&gt;
      &lt;DataSourceArg&gt;Attachment&lt;/DataSourceArg&gt;
      &lt;FieldLabels&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;FileName&lt;/FieldName&gt;
          &lt;Name&gt;FileNameLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;AttachmentRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Attachment&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
        &lt;FieldLabel&gt;
          &lt;FieldName&gt;Description&lt;/FieldName&gt;
          &lt;Name&gt;DescriptionLabel&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;AttachmentRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Attachment&lt;/TableName&gt;
          &lt;Hyperlink&gt;false&lt;/Hyperlink&gt;
        &lt;/FieldLabel&gt;
      &lt;/FieldLabels&gt;
      &lt;FieldValues&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;FileName&lt;/FieldName&gt;
          &lt;Name&gt;FileName&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;AttachmentRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Attachment&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
        &lt;FieldValue&gt;
          &lt;FieldName&gt;Description&lt;/FieldName&gt;
          &lt;Name&gt;Description&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName&gt;AttachmentRecordControl&lt;/ParentName&gt;
          &lt;TableName&gt;Attachment&lt;/TableName&gt;
          &lt;FieldColumnType&gt;String&lt;/FieldColumnType&gt;
          &lt;FieldValueStyle&gt;Literal&lt;/FieldValueStyle&gt;
          &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
          &lt;DefaultAlignment&gt;left&lt;/DefaultAlignment&gt;
          &lt;LinkBtnRedirectURL /&gt;
          &lt;HasQuickAddButton&gt;false&lt;/HasQuickAddButton&gt;
        &lt;/FieldValue&gt;
      &lt;/FieldValues&gt;
      &lt;FilterGroupName&gt;AttachmentFilters&lt;/FilterGroupName&gt;
      &lt;ForeignKeyName /&gt;
      &lt;GrandTotalGroup&gt;AttachmentGrandTotal&lt;/GrandTotalGroup&gt;
      &lt;GrandTotalText&gt;AttachmentGrandTotalText&lt;/GrandTotalText&gt;
      &lt;HasButtonPaginationBar&gt;false&lt;/HasButtonPaginationBar&gt;
      &lt;HasColumnHeaders&gt;true&lt;/HasColumnHeaders&gt;
      &lt;HasFilter&gt;false&lt;/HasFilter&gt;
      &lt;HasGrandTotals&gt;false&lt;/HasGrandTotals&gt;
      &lt;HasPageTotals&gt;false&lt;/HasPageTotals&gt;
      &lt;HasPagination&gt;false&lt;/HasPagination&gt;
      &lt;HasPanelButtons&gt;false&lt;/HasPanelButtons&gt;
      &lt;HasPanelHeader&gt;true&lt;/HasPanelHeader&gt;
      &lt;HasQueryDefinition&gt;false&lt;/HasQueryDefinition&gt;
      &lt;HasRowButtons&gt;false&lt;/HasRowButtons&gt;
      &lt;HasRowSelectionCheckbox&gt;false&lt;/HasRowSelectionCheckbox&gt;
      &lt;HasSearch&gt;false&lt;/HasSearch&gt;
      &lt;HasSortableColumn&gt;false&lt;/HasSortableColumn&gt;
      &lt;HeaderRowName&gt;AttachmentHeaderRow&lt;/HeaderRowName&gt;
      &lt;HideDataUntilSearched&gt;false&lt;/HideDataUntilSearched&gt;
      &lt;InsideControl /&gt;
      &lt;InsideItemTemplate&gt;false&lt;/InsideItemTemplate&gt;
      &lt;IsPlaceHolder&gt;false&lt;/IsPlaceHolder&gt;
      &lt;PageSize&gt;10&lt;/PageSize&gt;
      &lt;PageTotalGroup&gt;AttachmentPageTotal&lt;/PageTotalGroup&gt;
      &lt;PageTotalText&gt;AttachmentPageTotalText&lt;/PageTotalText&gt;
      &lt;Pagination /&gt;
      &lt;PaginationLayout&gt;..\Shared\Pagination.html&lt;/PaginationLayout&gt;
      &lt;PanelDataSourceType /&gt;
      &lt;PanelHeader&gt;
        &lt;PanelTitle&gt;AttachmentTitle&lt;/PanelTitle&gt;
        &lt;PanelHeaderDisplayText&gt;Show {TABLE_NAME}&lt;/PanelHeaderDisplayText&gt;
        &lt;TotalItems&gt;AttachmentTotalItems&lt;/TotalItems&gt;
        &lt;TotalItemsText&gt;AttachmentTotalItemsText&lt;/TotalItemsText&gt;
        &lt;HasExpandCollapseIcon&gt;true&lt;/HasExpandCollapseIcon&gt;
        &lt;HasPanelButton&gt;true&lt;/HasPanelButton&gt;
        &lt;PanelButton&gt;
          &lt;FieldName /&gt;
          &lt;Name&gt;AttachmentDialogEditButton&lt;/Name&gt;
          &lt;Index&gt;0&lt;/Index&gt;
          &lt;ParentName /&gt;
          &lt;TableName /&gt;
          &lt;IsShown&gt;true&lt;/IsShown&gt;
          &lt;ButtonActionType&gt;EditButton&lt;/ButtonActionType&gt;
          &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
          &lt;ImageURL&gt;../Images/iconEdit.gif&lt;/ImageURL&gt;
          &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
          &lt;Consumers&gt;page&lt;/Consumers&gt;
          &lt;RedirectURL&gt;../Attachment/EditAttachmentPage.aspx?Attachment={PK}&lt;/RedirectURL&gt;
          &lt;Onmouseover /&gt;
          &lt;Onmouseout /&gt;
          &lt;ToolTip&gt;Btn:Edit&lt;/ToolTip&gt;
        &lt;/PanelButton&gt;
      &lt;/PanelHeader&gt;
      &lt;PanelPath&gt;Data Display\Show Record - Label on Side.xml&lt;/PanelPath&gt;
      &lt;PanelStyle&gt;Label on Side&lt;/PanelStyle&gt;
      &lt;PanelType&gt;Show One Record&lt;/PanelType&gt;
      &lt;RecordRowName&gt;AttachmentRecordRow&lt;/RecordRowName&gt;
      &lt;SearchGroupName&gt;AttachmentSearchGroup&lt;/SearchGroupName&gt;
      &lt;SelectRowCheckBoxName&gt;AttachmentRecordRowSelection&lt;/SelectRowCheckBoxName&gt;
      &lt;TableName&gt;Attachment&lt;/TableName&gt;
      &lt;TabContainerName&gt;AttachmentTabContainer&lt;/TabContainerName&gt;
      &lt;TabPanelName&gt;AttachmentTabPanel&lt;/TabPanelName&gt;
      &lt;ToggleAllName&gt;AttachmentToggleAll&lt;/ToggleAllName&gt;
      &lt;ToolTip&gt;Displays an individual database record. Optionally includes child tables (one-to-many relationships).&lt;/ToolTip&gt;
      &lt;XSLTemplateName&gt;ShowRecord-LabelonSide&lt;/XSLTemplateName&gt;
      &lt;PlaceHolderName /&gt;
    &lt;/Panel&gt;
  &lt;/Panels&gt;
  &lt;HasFooter&gt;true&lt;/HasFooter&gt;
  &lt;Footer&gt;
    &lt;Name&gt;PageFooter&lt;/Name&gt;
    &lt;Layout&gt;..\Header and Footer\Footer.html&lt;/Layout&gt;
  &lt;/Footer&gt;
  &lt;PageButtons&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;OKButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;OKButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL&gt;Back&lt;/RedirectURL&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:OK&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
    &lt;PageButton&gt;
      &lt;FieldName /&gt;
      &lt;Name&gt;EditButton&lt;/Name&gt;
      &lt;Index&gt;0&lt;/Index&gt;
      &lt;ParentName /&gt;
      &lt;TableName /&gt;
      &lt;IsShown&gt;true&lt;/IsShown&gt;
      &lt;ButtonActionType&gt;EditButton&lt;/ButtonActionType&gt;
      &lt;CausesValidation&gt;false&lt;/CausesValidation&gt;
      &lt;ImageURL&gt;..\Shared\ThemeButton.html&lt;/ImageURL&gt;
      &lt;CommandName&gt;Redirect&lt;/CommandName&gt;
      &lt;Consumers&gt;page&lt;/Consumers&gt;
      &lt;RedirectURL&gt;../Attachment/EditAttachmentPage.aspx?Attachment={PK}&lt;/RedirectURL&gt;
      &lt;Onmouseover /&gt;
      &lt;Onmouseout /&gt;
      &lt;ToolTip&gt;Btn:Edit&lt;/ToolTip&gt;
    &lt;/PageButton&gt;
  &lt;/PageButtons&gt;
  &lt;HasRecordPanel&gt;true&lt;/HasRecordPanel&gt;
  &lt;ChildPanelLayoutStyle&gt;Stacked&lt;/ChildPanelLayoutStyle&gt;
&lt;/PageDefinition&gt;]]&gt;</PageDefinition>
</ComponentDefinition>